#{extends 'border.html'/}
<div class="container-fluid">
	
	<!-- Toolbar -->
	<div class="row">
		<div class="col-md-12">
			<div class="toolbar">
				<a href="@{create()}" class="btn btn-primary btn-md"><i
					class="fa fa-plus"></i> &{'tambah.label'} &{'sumber_kurs.label'}</a>
			</div>
		</div>
	</div>
	<!-- End Toolbar -->

	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblSumberKurs">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'nama_sumber_kurs.label'}</th>
								<th>&{'tanggal_dibuat.label'}</th>
								<th>&{'dibuat_oleh.label'}</th>
								<th>&{'tanggal_diubah.label'}</th>
								<th>&{'diubah_oleh.label'}</th>
								<th>&{'status.label'}</th>
								<th>&{'ubah.label'} &{'status.label'}</th>
								<th>&{'aksi.label'}</th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="editModal" tabindex="-1" role="dialog"
		aria-labelledby="myModalLabel">
		<div class="modal-dialog" role="document">
			#{form @masterdata.SumberKursCtr.editSubmit(), method:'POST'}
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'sumber_kurs.label'}</h4>
				</div>
				<div class="modal-body">
					<div class="form-group required">
						<label class="control-label">&{'nama_sumber_kurs.label'}</label> <input
							id="nama_input" name="nama_sumber" class="form-control" required/>
					</div>
					<input id="input_id" name="id_sumber" type="hidden" />
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
			</div>
			#{/form}
		</div>
	</div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#tblSumberKurs").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariSumberKurs()}",
				cache : true
			},
			order : [ [ 1, "asc" ], [ 1, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
                render: function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
			}, {
				"searchable" : true
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

	});

	$("body").on("click", ".nama_sumber", function() {
		var nama_sumber = $(this).html();
		var sumber_id = $(this).attr("sumber_id");
		$("#input_id").val(sumber_id);
		$("#nama_input").val(nama_sumber);
		$("#editModal").modal();
	});
</script>
#{/set}
